textures/icylimpics_uq/halloween_sky
{
	qer_editorimage textures/icylimpics_uq/halloween_ft.tga
	q3map_globaltexture
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sunExt 0.678431 0.996078 1 70 90 145 3 16
	q3map_skylight 140 6
	skyparms env/icylimpics_sky/halloween - -
}

textures/icylimpics_uq/ice
{
	qer_trans 0.80
	qer_editorimage textures/icylimpics_uq/ice.tga
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage	

	{
		map textures/icylimpics_uq/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/icylimpics_uq/ice_effect_dark.tga
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}

textures/icylimpics_uq/flame
{
	qer_editorimage textures/icylimpics_uq/flame1g.tga
	q3map_surfacelight 2000
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		animMap 10 textures/icylimpics_uq/flame1g.tga textures/icylimpics_uq/flame2g.tga textures/icylimpics_uq/flame3g.tga textures/icylimpics_uq/flame4g.tga textures/icylimpics_uq/flame5g.tga textures/icylimpics_uq/flame6g.tga textures/icylimpics_uq/flame7g.tga textures/icylimpics_uq/flame8g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/icylimpics_uq/flame2g.tga textures/icylimpics_uq/flame3g.tga textures/icylimpics_uq/flame4g.tga textures/icylimpics_uq/flame5g.tga textures/icylimpics_uq/flame6g.tga textures/icylimpics_uq/flame7g.tga textures/icylimpics_uq/flame8g.tga textures/icylimpics_uq/flame1g.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/icylimpics_uq/flameballg.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/icylimpics_uq/redflame
{
	qer_editorimage textures/icylimpics_uq/flame1.tga
	q3map_surfacelight 500
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		animMap 10 textures/icylimpics_uq/flame1.tga textures/icylimpics_uq/flame2.tga textures/icylimpics_uq/flame3.tga textures/icylimpics_uq/flame4.tga textures/icylimpics_uq/flame5.tga textures/icylimpics_uq/flame6.tga textures/icylimpics_uq/flame7.tga textures/icylimpics_uq/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/icylimpics_uq/flame2.tga textures/icylimpics_uq/flame3.tga textures/icylimpics_uq/flame4.tga textures/icylimpics_uq/flame5.tga textures/icylimpics_uq/flame6.tga textures/icylimpics_uq/flame7.tga textures/icylimpics_uq/flame8.tga textures/icylimpics_uq/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/icylimpics_uq/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}


textures/icylimpics_uq/ter_dirtgravel
{
	qer_editorimage textures/icylimpics_uq/ter_dirtgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/icylimpics_uq/ter_dirt1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/icylimpics_uq/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/icylimpics_uq/circle
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/circle.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/400m
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/400m.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/cgaz
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/cgaz.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/downhill
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/downhill.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/uphill
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/uphill.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/slant
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/slant.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/straighticy
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/straighticy.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}

textures/icylimpics_uq/pump
{
	qer_trans 0.9
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	polygonOffset
	nopicmip
	noMipMaps
	deformVertexes autosprite
	q3map_noFog
	q3map_globalTexture
	{
		map textures/icylimpics_uq/pump.tga
		blendfunc GL_ONE GL_ONE
		rgbgen identity
	}
}


		